onEvent('recipes', e => {
    e.recipes.thermal.bottler('kubejs:assembled_frame', [Fluid.of('kubejs:copper_oxide', 1000), 'thermal:machine_frame'])

    modifyShaped(e, 'thermal:machine_frame', 1, [
        ' A ',
        ' B ',
        ' C '],
      {
        A: 'kubejs:frame_top',
        B: 'kubejs:frame_core',
        C: 'kubejs:frame_bottom'
      })
    modifyShaped(e, 'thermal:machine_efficiency_creative_augment', 1, [
    'ABA',
    'CDC',
    'AEA'], {
      A: 'thermal:upgrade_augment_3',
      B: 'powah:charged_snowball',
      C: 'thermal:energy_cell',
      D: 'atmadditions:atm_star_shard',
      E: 'thermal:lightning_charge'
    })
})